Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class MdmDimension

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mdm.MdmObject
                  |
                  +--oracle.olapi.metadata.mdm.MdmSource
                        |
                        +--oracle.olapi.metadata.mdm.MdmDimension

Direct Known Subclasses:
  MdmPrimaryDimension, MdmSubDimension

public abstract class MdmDimension
extends MdmSource

An `MdmSource` that represents an OLAP dimension. A dimension organizes and specifies the data in an OLAP measure. This abstract class has two subclasses, `MdmPrimaryDimension` and `MdmSubDimension`.

An `MdmPrimaryDimension` has information about the type of data that its components represent. The components of an `MdmPrimaryDimension` are `MdmSubDimension` objects, which represent organizations of the members of the dimension. Concrete subclasses of `MdmSubDimension` represent dimensions organized hierarchically or nonhierarchically.

You initially get `MdmPrimaryDimension` objects from an instance of an `MdmSchema` or an `MdmMeasure`. The `getDimensions` methods of those objects return lists of `MdmPrimaryDimension` objects.

Method Summary
`java.util.List` | `getAttributes()` Gets a `List` of `MdmAttribute` objects for this `MdmDimension`.
`int` | `getCardinality()` Gets the estimated number of members (the cardinality) of this `MdmDimension`.
`java.lang.String` | `getPluralDescription()` Gets the long plural description of this `MdmDimension`.
`abstract MdmPrimaryDimension` | `getPrimaryDimension()` Gets the `MdmPrimaryDimension` for a concrete subclass of this `MdmDimension`.
`java.lang.String` | `getShortPluralDescription()` Gets the short plural description of this `MdmDimension`.
`void` | `removeAttribute(MdmAttribute attr)` Removes the specified `MdmAttribute` from the attributes of this `MdmDimension`.
`void` | `setCardinality(int newCardinality)` Sets the cardinality (estimated number of members) of this `MdmDimension`.
`void` | `setPluralDescription(java.lang.String value)` Sets the long plural description for this `MdmDimension`.
`void` | `setShortPluralDescription(java.lang.String value)` Sets the short plural description for this `MdmDimension`.

Methods inherited from class oracle.olapi.metadata.mdm.MdmSource
`getDataType, getModel, getSource, getSourceMap, getType, setModel`

Methods inherited from class oracle.olapi.metadata.mdm.MdmObject
`acceptVisitor, getDescription, getMetadataProvider, getName, getShortDescription, setDescription, setName, setShortDescription`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttributes

    public java.util.List getAttributes()

  Gets a `List` of `MdmAttribute` objects for this `MdmDimension`.
  Returns:
    A `List` of the `MdmAttribute` objects for this `MdmDimension`.
  See Also:
    `MdmAttribute`

### getPrimaryDimension

    public abstract MdmPrimaryDimension getPrimaryDimension()

  Gets the `MdmPrimaryDimension` for a concrete subclass of this `MdmDimension`. For an `MdmSubDimension`, this method returns the `MdmPrimaryDimension` of which the `MdmSubDimension` is a component. For an `MdmPrimaryDimension`, this method returns the same `MdmPrimaryDimension` object.
  Returns:
    The `MdmPrimaryDimension` for an `MdmSubDimension` or itself for an `MdmPrimaryDimension`.

### getPluralDescription

    public java.lang.String getPluralDescription()
                                          throws MetadataNotFoundException

  Gets the long plural description of this `MdmDimension`. You can use this description for display in a graphical user interface when the plural of the name is required.
  Returns:
    A `String` containing the long plural description of this `MdmDimension`.

### getShortPluralDescription

    public java.lang.String getShortPluralDescription()
                                               throws MetadataNotFoundException

  Gets the short plural description of this `MdmDimension`. You can use this description for display in a graphical user interface when the plural of the name is required.
  Returns:
    A `String` containing the short plural description of this `MdmDimension`.

### getCardinality

    public int getCardinality()
                       throws MetadataNotFoundException

  Gets the estimated number of members (the cardinality) of this `MdmDimension`. You can use this estimate as a factor in determining a display algorithm or other potentially performance-intensive operation, or in determining how long some other operation might take.

  If no cardinality is specified for the `MdmDimension`, this method returns `-1`, which indicates that Oracle OLAP has no estimated value for the number of members in this `MdmDimension`.

  Returns:
    The estimated number of members in this `MdmDimension`.

### setPluralDescription

    public void setPluralDescription(java.lang.String value)

  Sets the long plural description for this `MdmDimension`.
  Parameters:
    `value` - A `String` containing the long plural description that you want this `MdmDimension` to have.

### setShortPluralDescription

    public void setShortPluralDescription(java.lang.String value)

  Sets the short plural description for this `MdmDimension`.
  Parameters:
    `value` - A `String` containing the short plural description that you want this `MdmDimension` to have.

### setCardinality

    public void setCardinality(int newCardinality)

  Sets the cardinality (estimated number of members) of this `MdmDimension`. Specify a cardinality of -1 to indicate that no assumptions can be made about the number of members in this `MdmDimension`.
  Parameters:
    `newCardinality` - The estimated number of members in this `MdmDimension`.

### removeAttribute

    public void removeAttribute(MdmAttribute attr)

  Removes the specified `MdmAttribute` from the attributes of this `MdmDimension`.
  Parameters:
    `attr` - The `MdmAttribute` to remove from this `MdmDimension`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.